CREATE TABLE bnc (
  id VARCHAR(100), -- user@domain.com, for single sign on
  ircid INTEGER,
  wwwid INTEGER,
  smtpid INTEGER,
  username VARCHAR(32),
  email VARCHAR(100),
  password VARCHAR(100),
  captcha INTEGER
);
CREATE TABLE shell (
  id VARCHAR(100), -- user@domain.com, for single sign on
  ircid INTEGER,
  wwwid INTEGER,
  smtpid INTEGER,
  username VARCHAR(32),
  email VARCHAR(100),
  password VARCHAR(100),
  localtime VARCHAR(100),
  captcha INTEGER
);
CREATE TABLE www (
  id INTEGER PRIMARY KEY,
  useragent VARCHAR(200),
  httpaccept VARCHAR(150),
  plugins VARCHAR(200),
  offset VARCHAR(10),
  timezone VARCHAR(30),
  screen VARCHAR(100),
  systemfonts VARCHAR(200),
  cookie VARCHAR(200),
  supercookie VARCHAR(200),
  canvashash VARCHAR(50),
  webglhash VARCHAR(50),
  webglvendor VARCHAR(50),
  dnt INTEGER,
  lang VARCHAR(50),
  platform VARCHAR(100),
  touch VARCHAR(100),
  adblocker INTEGER,
  audiocontext VARCHAR(100),
  cpu VARCHAR(100),
  concurrency INTEGER,
  memory INTEGER
);
CREATE TABLE irc (
  id INTEGER PRIMARY KEY,
  hostmask VARCHAR(100),
  nick VARCHAR(32),
  realname VARCHAR(100),
  ip VARCHAR(40),
  server VARCHAR(100),
  identified INTEGER,
  ctcpversion VARCHAR(100),
  ctcptime VARCHAR(100),
  localtime VARCHAR(100),
  oper INTEGER,
  idle INTEGER,
  ssl INTEGER,
  epochtime INTEGER,
  chans VARCHAR(200),
  date VARCHAR(100)
);
CREATE TABLE smtp (
  id INTEGER PRIMARY KEY,
  sentfrom VARCHAR(100),
  returnpath VARCHAR(100),
  deliveredto VARCHAR(100),
  received VARCHAR(1000),
  dkim VARCHAR(1000),
  date VARCHAR(100),
  other VARCHAR(5000),
  content VARCHAR(100),
  mime VARCHAR(100),
  subject VARCHAR(100)
);
